﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace dpiTest
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Display", typeof(string));
            dt.Columns.Add("Value", typeof(string));

            dt.Rows.Add("a", "val1");
            dt.Rows.Add("b", "rr");
            dt.Rows.Add("c", "pp");
            dt.Rows.Add("d", "gg");
            dt.Rows.Add("e", "val2");

         
            ultraCombo1.DataSource = dt;
           
            UltraGridColumn ugc = ultraCombo1.DisplayLayout.Bands[0].Columns.Add();
            ugc.Key = "Selected";
            ugc.Header.Caption = "All";

            ugc.Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always;
            ugc.DataType = typeof(bool);
            ugc.Header.VisiblePosition = 0;

            
            this.ultraCombo1.CheckedListSettings.CheckStateMember = "Selected";
            this.ultraCombo1.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems;
            // Set up the control to use a custom list delimiter
            this.ultraCombo1.CheckedListSettings.ListSeparator = " , ";
            // Set ItemCheckArea to Item, so that clicking directly on an item also checks the item
            this.ultraCombo1.CheckedListSettings.ItemCheckArea = Infragistics.Win.ItemCheckArea.Item;
            ultraCombo1.DisplayMember = "Display";
            ultraCombo1.ValueMember = "Value";



        }

        private void Form2_Load(object sender, EventArgs e)
        {

        }
    }
}
